Skip to Content

Get a single video

Fetching video

Getting a single video is done by sending a GET request to the /videos/:id endpoint.

curl -X GET https://app.ignitevideo.cloud/api/videos/:id \ -H "Authorization: Bearer YOUR_TOKEN"

API Response

The response is a Video object. If the id does not exist, the response is 404.

Relationships such as categories and tags are objects when you omit depth. Pass depth=0 to receive ids. See Querying.

While a video is encoding, use this endpoint to poll status and statusProgress. See Encoding status.

Error response (404)

{ "errors": [ { "message": "Not Found" } ] }